<script>
    import { splitIntoDigits } from '@/plugins/utils.js';
    import Digit from '@/components/digit.svelte';
    export let amount;
    export let text;
</script>

<div class="grid grid-flow-col text-center auto-cols-max">
    {#if text}
        <span class="mr-3">{text}</span>
    {/if}
    {#each splitIntoDigits(amount, 2) as count}
        <div class="flex flex-col justify-center">
            <Digit digit={count} />
        </div> 
    {/each}
    <span>€</span>
</div>